using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Diagnostics;

using Syncfusion.Windows.Forms.Tools.XPMenus;
using Syncfusion.Windows.Forms.Tools;
using Syncfusion.Windows.Forms;

namespace dropdownbaritem_popup
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager mainFrameBarManager1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.DropDownBarItem dropDownBarItem1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.Bar bar1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.DropDownBarItem dropDownBarItem2;
		private Syncfusion.Windows.Forms.Tools.XPMenus.DropDownBarItem dropDownBarItem3;
		private Syncfusion.Windows.Forms.PopupControlContainer popupControlContainer1;
		private System.Windows.Forms.ListBox listBox1;
		private Syncfusion.Windows.Forms.PopupControlContainer popupControlContainer2;
		private Syncfusion.Windows.Forms.PopupControlContainer popupControlContainer3;
		private System.ComponentModel.IContainer components;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			this.dropDownBarItem1.PopupControlContainer = this.popupControlContainer1;
			this.dropDownBarItem2.PopupControlContainer = this.popupControlContainer2;
			this.dropDownBarItem3.PopupControlContainer = this.popupControlContainer3;

			this.popupControlContainer1.Controls.Add(this.listBox1);
			this.listBox1.Dock = DockStyle.Fill;
			this.listBox1.Visible = true;

			this.dropDownBarItem1.PopupControlContainer.BeforePopup += new CancelEventHandler(DDBarItem_BeforePopup);;
			this.dropDownBarItem2.PopupControlContainer.BeforePopup += new CancelEventHandler(DDBarItem_BeforePopup);;
			this.dropDownBarItem3.PopupControlContainer.BeforePopup += new CancelEventHandler(DDBarItem_BeforePopup);;
		}

		private void DDBarItem_BeforePopup(object sender, CancelEventArgs args)
		{
			PopupControlContainer popupcontainer = sender as PopupControlContainer;

			if (popupcontainer == this.popupControlContainer1)
			{
				Trace.WriteLine("DDBarItem1");
				this.popupControlContainer1.Controls.Add(this.listBox1);
				this.listBox1.Dock = DockStyle.Fill;
				this.listBox1.Visible = true;
			}
			else if (popupcontainer == this.popupControlContainer2)
			{
				Trace.WriteLine("DDBarItem2");
				this.popupControlContainer2.Controls.Add(this.listBox1);
				this.listBox1.Dock = DockStyle.Fill;
				this.listBox1.Visible = true;
			}
			else if (popupcontainer == this.popupControlContainer3)
			{
				Trace.WriteLine("DDBarItem3");
				this.popupControlContainer3.Controls.Add(this.listBox1);
				this.listBox1.Dock = DockStyle.Fill;
				this.listBox1.Visible = true;
			}

		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			this.mainFrameBarManager1 = new Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager(this.components, this);
			this.bar1 = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.mainFrameBarManager1, "mainmenu");
			this.dropDownBarItem1 = new Syncfusion.Windows.Forms.Tools.XPMenus.DropDownBarItem();
			this.dropDownBarItem2 = new Syncfusion.Windows.Forms.Tools.XPMenus.DropDownBarItem();
			this.dropDownBarItem3 = new Syncfusion.Windows.Forms.Tools.XPMenus.DropDownBarItem();
			this.popupControlContainer1 = new Syncfusion.Windows.Forms.PopupControlContainer(this.components);
			this.listBox1 = new System.Windows.Forms.ListBox();
			this.popupControlContainer2 = new Syncfusion.Windows.Forms.PopupControlContainer(this.components);
			this.popupControlContainer3 = new Syncfusion.Windows.Forms.PopupControlContainer(this.components);
			((System.ComponentModel.ISupportInitialize)(this.mainFrameBarManager1)).BeginInit();
			this.SuspendLayout();
			// 
			// mainFrameBarManager1
			// 
			this.mainFrameBarManager1.BarPositionInfo = ((System.IO.MemoryStream)(resources.GetObject("mainFrameBarManager1.BarPositionInfo")));
			this.mainFrameBarManager1.Bars.Add(this.bar1);
			this.mainFrameBarManager1.Categories.Add("mainmenu");
			this.mainFrameBarManager1.CurrentBaseFormType = "";
			this.mainFrameBarManager1.Form = this;
			this.mainFrameBarManager1.ImageList = null;
			this.mainFrameBarManager1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
																											  this.dropDownBarItem1,
																											  this.dropDownBarItem2,
																											  this.dropDownBarItem3});
			this.mainFrameBarManager1.LargeImageList = null;
			this.mainFrameBarManager1.ResetCustomization = false;
			this.mainFrameBarManager1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
			// 
			// bar1
			// 
			this.bar1.BarName = "mainmenu";
			this.bar1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
																							  this.dropDownBarItem1,
																							  this.dropDownBarItem2,
																							  this.dropDownBarItem3});
			this.bar1.Manager = this.mainFrameBarManager1;
			// 
			// dropDownBarItem1
			// 
			this.dropDownBarItem1.CategoryIndex = 0;
			this.dropDownBarItem1.ID = "DDBarItem1";
			this.dropDownBarItem1.Text = "DDBarItem1";
			// 
			// dropDownBarItem2
			// 
			this.dropDownBarItem2.CategoryIndex = 0;
			this.dropDownBarItem2.ID = "DDBarItem2";
			this.dropDownBarItem2.Text = "DDBarItem2";
			// 
			// dropDownBarItem3
			// 
			this.dropDownBarItem3.CategoryIndex = 0;
			this.dropDownBarItem3.ID = "DDBarItem3";
			this.dropDownBarItem3.Text = "DDBarItem3";
			// 
			// popupControlContainer1
			// 
			this.popupControlContainer1.Location = new System.Drawing.Point(96, 80);
			this.popupControlContainer1.Name = "popupControlContainer1";
			this.popupControlContainer1.Size = new System.Drawing.Size(72, 88);
			this.popupControlContainer1.TabIndex = 4;
			this.popupControlContainer1.Visible = false;
			// 
			// listBox1
			// 
			this.listBox1.Dock = System.Windows.Forms.DockStyle.Left;
			this.listBox1.Location = new System.Drawing.Point(0, 26);
			this.listBox1.Name = "listBox1";
			this.listBox1.Size = new System.Drawing.Size(56, 238);
			this.listBox1.TabIndex = 0;
			// 
			// popupControlContainer2
			// 
			this.popupControlContainer2.Location = new System.Drawing.Point(184, 80);
			this.popupControlContainer2.Name = "popupControlContainer2";
			this.popupControlContainer2.Size = new System.Drawing.Size(72, 88);
			this.popupControlContainer2.TabIndex = 5;
			this.popupControlContainer2.Visible = false;
			// 
			// popupControlContainer3
			// 
			this.popupControlContainer3.Location = new System.Drawing.Point(264, 88);
			this.popupControlContainer3.Name = "popupControlContainer3";
			this.popupControlContainer3.Size = new System.Drawing.Size(72, 96);
			this.popupControlContainer3.TabIndex = 5;
			this.popupControlContainer3.Visible = false;
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(352, 266);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.popupControlContainer1,
																		  this.listBox1,
																		  this.popupControlContainer2,
																		  this.popupControlContainer3});
			this.Name = "Form1";
			this.Text = "Form1";
			((System.ComponentModel.ISupportInitialize)(this.mainFrameBarManager1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		
	}
}
